<?php
if (!isset($SITE)){
	header ("Location: ../index.php")  ;	// back to index/startpage if someone tries an
	exit;  									//  page to load without menu system//
}
$pageName		= 'wsTagsWC.php';
$pageVersion	= '2.5a 2014-11-10 15:12:50 ';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__) ;			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
# ----------------------------------------------------------------------------------------
#  Version 2.4b for template release 2.40
# ----------------------------------------------------------------------------------------
$ws['tags.php']		= $pageFile.'-'.$pageVersion;
# ------------------------------------------- date - time --------------------------------
$unixDate			= strtotime('16 Feb 2015 8:59 AM');
$ymd 				= date('Ymd',	$unixDate);
$ws['actTime']		= date('YmdHis',$unixDate);
# ------------------------------------------ temperature ---------------------------------
$to 	= $SITE['uomTemp'];
$skip	= array('?','&#176;',';');
$repl	= array ('','','');
$from	= str_replace($skip,$repl,'&#176;F'); 		//  = 'C', 'F',  (or  '?C', '?F', or '&deg;C', '&deg;F' )

$ws['tempMaxTodayTime']	= wdDate('1:01 AM'); 
$ws['tempMaxYdayTime']	= wdDate('3:56 PM');
$ws['tempMaxMonthTime']	= date('YmdHis',strtotime('14 Feb 2015 3:03 PM'));
$ws['tempMaxYearTime']	= date('YmdHis',strtotime('28 Jan 2015 1:40 PM'));
$ws['tempMinTodayTime']	= wdDate('8:57 AM');
$ws['tempMinYdayTime']	= wdDate('7:01 AM');
$ws['tempMinMonthTime']	= date('YmdHis',strtotime('2 Feb 2015 7:12 AM'));
$ws['tempMinYearTime']	= date('YmdHis',strtotime('8 Jan 2015 6:03 AM'));

$ws['dewpMaxTodayTime']	= wdDate('1:01 AM');
$ws['dewpMaxYdayTime']	= wdDate('11:35 PM');
$ws['dewpMinTodayTime']	= wdDate('8:57 AM');
$ws['dewpMinYdayTime']	= wdDate('12:07 AM');

$ws['heatMaxTodayTime']	= wdDate('1:01 AM');
$ws['heatMaxYdayTime']	= wdDate('3:56 PM');

$ws['chilMinTodayTime']	= wdDate('8:57 AM');
$ws['chilMinYdayTime']	= wdDate('7:01 AM');

$ws['tempAct']			= wsConvertTemperature('32.9', $from, $to);  // convert and clean of units
$ws['tempDelta']		= '-2.3';
$ws['tempActInside']	= wsConvertTemperature('71.3', $from, $to);
$ws['tempActExtra1']	= wsConvertTemperature('none', $from, $to);
$ws['tempActExtra2']	= wsConvertTemperature('none', $from, $to);	

$ws['tempMinToday']		= wsConvertTemperature('32.8', 		$from, $to);
$ws['tempMinYday']		= wsConvertTemperature('54.4', 	$from, $to);
$ws['tempMinMonth']		= wsConvertTemperature('25.2', 	$from, $to);
$ws['tempMinYear']		= wsConvertTemperature('18.5', 	$from, $to);

$ws['tempMaxToday']		= wsConvertTemperature('61.8', 		$from, $to);
$ws['tempMaxYday']		= wsConvertTemperature('69.4',	$from, $to);
$ws['tempMaxMonth']		= wsConvertTemperature('79.9',	$from, $to);
$ws['tempMaxYear']		= wsConvertTemperature('81.0', 	$from, $to);

$ws['dewpAct']  		= wsConvertTemperature('30.6', 		$from, $to);
$ws['dewpDelta']		= '-2.3';
$ws['dewpMaxToday']  	= wsConvertTemperature('59.1', 		$from, $to);
$ws['dewpMaxYday']  	= wsConvertTemperature('58.5', 	$from, $to);
$ws['dewpMinToday']  	= wsConvertTemperature('30.5', 		$from, $to);
$ws['dewpMinYday']  	= wsConvertTemperature('43.7', 	$from, $to);

$ws['heatAct']  		= wsConvertTemperature('32.9', 		$from, $to);
$ws['heatDelta']		= '-2.3';
$ws['heatMaxToday']		= wsConvertTemperature('61.8', 	$from, $to);
$ws['heatMaxYday']		= wsConvertTemperature('69.4', $from, $to);
$ws['heatMaxMonth']		= wsConvertTemperature('79.9', $from, $to);
$ws['heatMaxYear']		= wsConvertTemperature('81.0', 	$from, $to);
	
$ws['chilAct']			= wsConvertTemperature('32.9', 		$from, $to);
$ws['chilDelta']		= '-2.3';
$ws['chilMinToday']		= wsConvertTemperature('32.8', 	$from, $to);
$ws['chilMinYday']		= wsConvertTemperature('54.4', $from, $to);
$ws['chilMinMonth']		= wsConvertTemperature('25.2', $from, $to);
$ws['chilMinYear']		= wsConvertTemperature('18.5', 	$from, $to);

# ------------------------------------------ pressure / baro -------------------------------------
$to 	= $SITE['uomBaro'];
$from	= 'inHg'; 		//  = 'inHg', 'hPa', 'kPa', 'mb'

$ws['baroMaxTodayTime']	= wdDate('8:49 AM');
$ws['baroMaxYdayTime']	= wdDate('12:05 AM');
$ws['baroMaxMonthTime']	= date('YmdHis',strtotime('5 Feb 2015 11:36 AM'));
$ws['baroMaxYearTime']	= date('YmdHis',strtotime('7 Jan 2015 8:13 PM'));

$ws['baroMinTodayTime']	= wdDate('12:55 AM');
$ws['baroMinYdayTime']	= wdDate('11:57 PM');
$ws['baroMinMonthTime']	= date('YmdHis',strtotime('8 Feb 2015 5:41 AM'));
$ws['baroMinYearTime']	= date('YmdHis',strtotime('8 Feb 2015 5:41 AM'));

$ws['baroAct'] 			= wsConvertBaro('30.06', $from, $to);
$ws['baroDelta']		= '0.03';  // trend = --BarTrend--
$ws['baroMinToday']		= wsConvertBaro('29.82', 	$from, $to);
$ws['baroMinYday']		= wsConvertBaro('29.84', $from, $to);
$ws['baroMinMonth']		= wsConvertBaro('29.76', $from, $to);
$ws['baroMinYear'] 		= wsConvertBaro('29.76', 	$from, $to);	
$ws['baroMaxToday']		= wsConvertBaro('30.06', 	$from, $to);
$ws['baroMaxYday']		= wsConvertBaro('30.06', $from, $to);
$ws['baroMaxMonth']		= wsConvertBaro('30.47', $from, $to);
$ws['baroMaxYear'] 		= wsConvertBaro('30.88', 	$from, $to);

# ------------------------------------------ humidity  ------------------------------------------
$ws['humiMaxTodayTime'] = wdDate('5:01 AM');
$ws['humiMaxYdayTime']	= wdDate('11:35 PM');
$ws['humiMinTodayTime']	= wdDate('1:06 AM');
$ws['humiMinYdayTime']	= wdDate('12:05 AM');

$ws['humiAct']			= '91';
$ws['humiDelta']		= '0';
$ws['humiMaxToday']		= '93';
$ws['humiMaxYday']		= '90';
$ws['humiMinToday'] 	= '81';
$ws['humiMinYday'] 		= '50';

# ------------------------------------------ rain  ------------------------------------------
$to 	= $SITE['uomRain'];
$from	= 'in'; 			//  = 'mm', 'in'
$arr	= explode (' ','0.00 in/h (0.00) ');
$ws['rainRateAct'] 		= wsConvertRainfall( $arr[0], $from, $to);
$ws['rainRateToday'] 	= $ws['rainRateAct'];		
$ws['rainToday']		= wsConvertRainfall('0.21', 		$from, $to);
$ws['rainYday']			= wsConvertRainfall('0.00', 	$from, $to);
$ws['rainMonth']		= wsConvertRainfall('0.64', 	$from, $to);
$ws['rainYear']			= wsConvertRainfall('4.92', 	$from, $to);
# ------------------------------------------ EVAPOTRANSPIRATION --------------------------
$ws['etToday'] 			= wsConvertRainfall('0.00', 			$from, $to);
$ws['etYday'] 			= wsConvertRainfall('0.00', 	$from, $to);
$ws['etMonth'] 			= wsConvertRainfall('1.28', 			$from, $to);
$ws['etYear'] 			= wsConvertRainfall('3.23', 			$from, $to);
# ------------------------------------------ wind  ---------------------------------------
$to 	= $SITE['uomWind'];
$from	= str_replace('hr','h','MPH'); 		//  = 'kts','mph','kmh','km/h','m/s','Bft'

$ws['gustMaxTodayTime']	= wdDate('3:32 AM');
$ws['gustMaxYdayTime']	= wdDate('5:42 PM');
$ws['gustMaxMonthTime']	= date('YmdHis',strtotime('7 Feb 2015 4:59 PM'));
$ws['gustMaxYearTime']	= date('YmdHis',strtotime('7 Feb 2015 4:59 PM'));

$ws['windActDsc']		= wsConvertWinddir ('191');
$ws['windActDeg']		= '191';

$ws['windBeafort']		= wsBeaufortNumber ('***Syntax Error - no time range - expecting one of TODAY/YESTERDAY/THISWEEK/THISMONTH/THISYEAR/ALLTIME etc***',$from);

$ws['windAct']			= wsConvertWindspeed('***Syntax Error - no time range - expecting one of TODAY/YESTERDAY/THISWEEK/THISMONTH/THISYEAR/ALLTIME etc***', $from ,$to);
$ws['gustAct']			= wsConvertWindspeed('4', 			$from ,$to);
$ws['gustMaxToday']		= wsConvertWindspeed('8', 		$from ,$to);
$ws['gustMaxYday']		= wsConvertWindspeed('12',	$from ,$to); 
$ws['gustMaxMonth']		= wsConvertWindspeed('14', 	$from ,$to);
$ws['gustMaxYear']		= wsConvertWindspeed('14', 	$from ,$to);	

if ($ws['gustAct'] < $ws['windAct'])	{$ws['gustAct'] = $ws['windAct'];}
# ------------------------------------------  UV   -----------------------------------------
$ws['uvMaxTodayTime'] 	= wdDate('8:01 AM');
$ws['uvMaxYdayTime'] 	= wdDate('11:43 AM');
$ws['uvMaxMonthTime'] 	= date('YmdHis',strtotime('9 Feb 2015 12:07 PM'));
$ws['uvMaxYearTime'] 	= date('YmdHis',strtotime('9 Feb 2015 12:07 PM'));

$ws['uvAct']			= '0.0';
$ws['uvMaxToday']		= '0.0';
$ws['uvMaxYday']		= '2.7';
$ws['uvMaxMonth']		= '4.9';
$ws['uvMaxYear']		= '4.9';
# ------------------------------------------ Solar  ----------------------------------------
$ws['solarMaxTodayTime'] = wdDate('8:58 AM');
$ws['solarMaxYdayTime']  = wdDate('10:09 AM');
$ws['solarMaxMonthTime'] = date('YmdHis',strtotime('8 Feb 2015 11:28 AM'));
$ws['solarMaxYearTime']  = date('YmdHis',strtotime('8 Feb 2015 11:28 AM'));

$ws['solarAct']			= '37';
#$ws['solActPerc']		= 'currentsolarpctplain';
$ws['solarMaxToday']	= '39';
$ws['solarMaxYday']		= '522';
$ws['solarMaxMonth']	= '867';
$ws['solarMaxYear']		= '867';
# ------------------------------------------ forecasts -------------------------------------
$ws['fcstTxt'] 	  		= 'Mostly clear with little temperature change.';
# ------------------------------------------ some more --------------------------------------
$ws['wsVersion']		= 'V2.10, Build 1212';
$ws['wsHardware'] 		= 'Mac';   // unknown
$ws['wsUptime']			= '0:03:28';

#------------------soil  moistere + temp  & leaf moistere readings---------------------------
$to 	= $SITE['uomTemp'];
$skip	= array('?','&#176;',';');
$repl	= array ('','','');
$from	= str_replace($skip,$repl,'&#176;C;'); 		//  = 'C', 'F',  (or  '?C', '?F', or '&deg;C', '&deg;F' )

# Soil temp sensor 1 
$ws['soilTempAct'][1]			= wsConvertTemperature('32.0', $from, $to);  
# Temp sensor 1 maximum value for today month and year
$ws['soilTempMaxToday'][1]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxMonth'][1]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxYear'][1]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxAlltime'][1]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMaxTodayTime'][1]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMaxMonthTime'][1]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMaxYearTime'][1]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMaxAlltimeTime'][1]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Temp sensor 1 minimum value for today month and year
$ws['soilTempMinToday'][1]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinMonth'][1]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinYear'][1]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinAlltime'][1]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMinTodayTime'][1]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMinMonthTime'][1]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMinYearTime'][1]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMinAlltimeTime'][1]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Soil temp sensor 2 
$ws['soilTempAct'][2]			= wsConvertTemperature('32.0', $from, $to);  
# Temp sensor 2 maximum value for today month and year
$ws['soilTempMaxToday'][2]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxMonth'][2]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxYear'][2]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxAlltime'][2]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMaxTodayTime'][2]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMaxMonthTime'][2]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMaxYearTime'][2]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMaxAlltimeTime'][2]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Temp sensor 2 minimum value for today month and year
$ws['soilTempMinToday'][2]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinMonth'][2]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinYear'][2]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinAlltime'][2]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMinTodayTime'][2]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMinMonthTime'][2]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMinYearTime'][2]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMinAlltimeTime'][2]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Soil temp sensor 3 
$ws['soilTempAct'][3]			= wsConvertTemperature('32.0', $from, $to);  
# Temp sensor 3 maximum value for today month and year
$ws['soilTempMaxToday'][3]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxMonth'][3]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxYear'][3]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxAlltime'][3]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMaxTodayTime'][3]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMaxMonthTime'][3]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMaxYearTime'][3]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMaxAlltimeTime'][3]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Temp sensor 3 minimum value for today month and year
$ws['soilTempMinToday'][3]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinMonth'][3]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinYear'][3]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinAlltime'][3]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMinTodayTime'][3]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMinMonthTime'][3]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMinYearTime'][3]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMinAlltimeTime'][3]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Soil temp sensor 4 
$ws['soilTempAct'][4]			= wsConvertTemperature('32.0', $from, $to);  
# Temp sensor 4 maximum value for today month and year
$ws['soilTempMaxToday'][4]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxMonth'][4]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxYear'][4]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMaxAlltime'][4]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMaxTodayTime'][4]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMaxMonthTime'][4]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMaxYearTime'][4]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMaxAlltimeTime'][4]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Temp sensor 4 minimum value for today month and year
$ws['soilTempMinToday'][4]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinMonth'][4]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinYear'][4]		= wsConvertTemperature('N/A', $from, $to);
$ws['soilTempMinAlltime'][4]	= wsConvertTemperature('32.0', $from, $to);
$ws['soilTempMinTodayTime'][4]	= date('YmdHis',strtotime('12:02 AM'));
$ws['soilTempMinMonthTime'][4]	= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['soilTempMinYearTime'][4]	= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['soilTempMinAlltimeTime'][4]= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 1 
$ws['moistAct'][1]				= '0';
# Moisture sensor 1 maximum value for today month  year  alltime
$ws['moistMaxToday'][1]			= 'N/A';
$ws['moistMaxMonth'][1]			= 'N/A';
$ws['moistMaxYear'][1]			= 'N/A';
$ws['moistMaxAlltime'][1]		= '0';
$ws['moistMaxTodayTime'][1]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMaxMonthTime'][1]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMaxYearTime'][1]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMaxAlltimeTime'][1]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 1 minimum value for today month  year alltime
$ws['moistMinToday'][1]			= 'N/A';
$ws['moistMinMonth'][1]			= 'N/A';
$ws['moistMinYear'][1]			= 'N/A';
$ws['moistMinAlltime'][1]		= '0';
$ws['moistMinTodayTime'][1]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMinMonthTime'][1]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMinYearTime'][1]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMinAlltimeTime'][1]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 2 
$ws['moistAct'][2]				= '0';
# Moisture sensor 2 maximum value for today month  year  alltime
$ws['moistMaxToday'][2]			= 'N/A';
$ws['moistMaxMonth'][2]			= 'N/A';
$ws['moistMaxYear'][2]			= 'N/A';
$ws['moistMaxAlltime'][2]		= '0';
$ws['moistMaxTodayTime'][2]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMaxMonthTime'][2]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMaxYearTime'][2]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMaxAlltimeTime'][2]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 2 minimum value for today month  year alltime
$ws['moistMinToday'][2]			= 'N/A';
$ws['moistMinMonth'][2]			= 'N/A';
$ws['moistMinYear'][2]			= 'N/A';
$ws['moistMinAlltime'][2]		= '0';
$ws['moistMinTodayTime'][2]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMinMonthTime'][2]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMinYearTime'][2]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMinAlltimeTime'][2]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 3 
$ws['moistAct'][3]				= '0';
# Moisture sensor 3 maximum value for today month  year  alltime
$ws['moistMaxToday'][3]			= 'N/A';
$ws['moistMaxMonth'][3]			= 'N/A';
$ws['moistMaxYear'][3]			= 'N/A';
$ws['moistMaxAlltime'][3]		= '0';
$ws['moistMaxTodayTime'][3]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMaxMonthTime'][3]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMaxYearTime'][3]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMaxAlltimeTime'][3]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 3 minimum value for today month  year alltime
$ws['moistMinToday'][3]			= 'N/A';
$ws['moistMinMonth'][3]			= 'N/A';
$ws['moistMinYear'][3]			= 'N/A';
$ws['moistMinAlltime'][3]		= '0';
$ws['moistMinTodayTime'][3]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMinMonthTime'][3]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMinYearTime'][3]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMinAlltimeTime'][3]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 4 
$ws['moistAct'][4]				= '0';
# Moisture sensor 4 maximum value for today month  year  alltime
$ws['moistMaxToday'][4]			= 'N/A';
$ws['moistMaxMonth'][4]			= 'N/A';
$ws['moistMaxYear'][4]			= 'N/A';
$ws['moistMaxAlltime'][4]		= '0';
$ws['moistMaxTodayTime'][4]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMaxMonthTime'][4]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMaxYearTime'][4]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMaxAlltimeTime'][4]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# Moisture sensor 4 minimum value for today month  year alltime
$ws['moistMinToday'][4]			= 'N/A';
$ws['moistMinMonth'][4]			= 'N/A';
$ws['moistMinYear'][4]			= 'N/A';
$ws['moistMinAlltime'][4]		= '0';
$ws['moistMinTodayTime'][4]		= date('YmdHis',strtotime('12:02 AM'));
$ws['moistMinMonthTime'][4]		= date('YmdHis',strtotime('1 Feb 2015 12:03 AM'));
$ws['moistMinYearTime'][4]		= date('YmdHis',strtotime('1 Jan 2015 12:03 AM'));
$ws['moistMinAlltimeTime'][4]	= date('YmdHis',strtotime('16 Aug 2014 10:56 AM'));
# ------------------------------------------ sun and moon --------------------------------
#
# retrieve missing moon entries
$skipMoonPage = true; include ($SITE['moonSet']); $skipMoonPage = false;
#-----------------------------------------------------------------------------------------
?>
